version: "2"
services:
  mrbs:
    image: registry.verdnatura.es/mrbs:1.11.4-modern
    container_name: mrbs
    environment:
      - PUID=1000
      - PGID=1000
      - DB_HOST=mrbs-db
      - DB_USER=mrbs-user
      - DB_PASS=mrbs-pass
      - DB_DATABASE=mrbs
    volumes:
      - ./config.inc.php:/var/www/html/config.inc.php
      - ./dev/modern-mrbs-theme/modern:/var/www/html/Themes/modern
    ports:
      - 8888:80
    depends_on:
      - mrbs-db
  mrbs-db:
    image: docker.io/mariadb:latest
    container_name: mrbs.db
    environment:
      - PUID=1000
      - PGID=1000
      - MYSQL_ROOT_PASSWORD=mrbs-root-pass
      - TZ=Europe/Madrid
      - MYSQL_DATABASE=mrbs
      - MYSQL_USER=mrbs-user
      - MYSQL_PASSWORD=mrbs-pass
    volumes:
      - ./mysql-data:/var/lib/mysql
    ports:
      - 3308:3306

